<div class="row justify-content-center">
    <div class="col-12">
        <table class="table table-light">
            <thead>
              <tr>
                <th scope="col">Username</th>
                <th scope="col">Full Name</th>
                <th scope="col">Passowrd Hash</th>
                <th scope="col">Edit</th>
                <th scope="col">Remove</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let user of usrs | async" >
                <td>{{ user.username }}</td>
                <td>{{ user.fullName }}</td>
                <td>{{ user.passwordHash }}</td>
                <td *ngIf="(accountService.currentUser$ | async) as u">
                    <button [disabled]="u.username !== user.username" class="btn btn-dark" routerLink='/members/{{ user.username }}' >
                        <i class="fa fa-edit"></i>
                    </button>
                </td>
                <td *ngIf="(accountService.currentUser$ | async) as u">
                  <button [disabled]="u.username === user.username" class="btn btn-primary" (click)="deleteUser(user.username)">
                      <i class="fa fa-trash"></i>
                  </button>
              </td>
              </tr>
            </tbody>
          </table>
    </div>
</div>